%global pmname  licenses
Name:           mycila-%{pmname}
Version:        1
Release:        4%{?dist}
Summary:        Licenses used in Mycila projects

Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/mycila/licenses
BuildArch:      noarch

Source0:        https://github.com/mycila/licenses/archive/%{pmname}-%{version}.tar.gz
Patch0:         fixWebdav.patch

BuildRequires:  maven-local
BuildRequires:  maven-wagon
BuildRequires:  dos2unix
Requires: java-headless

%description
Licenses used in Mycila projects
DO NOT USE THIS PROJECT OUT OF MYCILA PARENT POM:
This is an internal Mycila JAR !


%prep
%setup -q -n %{pmname}-%{pmname}-%{version}
dos2unix pom.xml
dos2unix README.md
chmod -x README.md
%patch0

# Remove unneeded dependency on maven-wagon-webdav-jackrabbit
%pom_xpath_remove pom:extensions

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1-2
- Remove unneeded dependency on maven-wagon-webdav-jackrabbit

* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 1-1
- initial rpm
